#!/bin/bash

cmd=${1}
package=tesseroids
address=/opt

if [[ ${cmd} == "configure" && ! -d "build/" ]]; then
	mkdir build && cd build && cmake .. -DCMAKE_INSTALL_PREFIX=${address}/stow/${package} -DCMAKE_BUILD_TYPE=Release
elif [[ ${cmd} == "configure" ]]; then
	cd build && rm -rf * && cmake .. -DCMAKE_INSTALL_PREFIX=${address}/stow/${package} -DCMAKE_BUILD_TYPE=Release
elif [[ ${cmd} == "build" ]]; then
	cd build && make
elif [[ ${cmd} == "install" ]]; then
	cd build && sudo make install
	sudo stow --dir=${address}/stow --target=${address} ${package}
fi